Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596277 - XML schema compilation failure with restrict/union
XML schema compilation failure with restrict/union
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 596282 596284
  Show dependency treegraph
 
Reported: 2010-05-26 10:08 EDT by Lukas Kuklinek
Modified: 2012-08-16 18:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 596282 (view as bug list)
Environment:
Last Closed: 2012-08-16 18:40:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Kuklinek 2010-05-26 10:08:31 EDT
Description of problem:
The xmllint tool (or equivalent library call) refuses a valid XML schema.
The schema contains an abstract complex type with simple content that is
derived by another type, which introduces an restriction on its content.

Version-Release number of selected component (if applicable):
2.7.6 and 2.7.7 at least
  
Actual results: schema fails to compile.
Expected results: schema compiles fine.

Additional info:
upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=619640
original message: http://mail.gnome.org/archives/xml/2010-April/msg00011.html
Comment 1 Bug Zapper 2010-07-30 07:42:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peter Vrabec 2012-01-04 04:21:24 EST
It seems that others have this problem too:
http://making-security-measurable.1364806.n2.nabble.com/schema-validation-issues-using-LibXML2-xmllint-td7121495.html
Comment 3 Daniel Veillard 2012-01-04 22:03:54 EST
This seems fixed in libxml2 git head, possibly as a result of commit
http://git.gnome.org/browse/libxml2/commit/?id=8bb12988c4ddcaf30729c04c35bf3f4afab5370a

Daniel
Comment 4 Fedora End Of Life 2012-08-16 18:40:47 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.